@echo off
        SETLOCAL=ENABLEDELAYEDEXPANSION

        rename particles_manifest.txt particles_manifest.tmp
        for /f "delims=¶" %%a in (particles_manifest.tmp) do (
            set foo=%%a
            if !foo!==} set foo=    //batch
            echo !foo! >> particles_manifest.txt)
	    echo 	"file"		"particles/sot.pcf" >> particles_manifest.txt
	    echo }>> particles_manifest.txt
	del particles_manifest.tmp